# Generated from net-uri-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name net-uri

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Wrapper class for URIs
License: MIT
URL: http://rubygems.org/gems/net-uri
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Splits URIs according to RFC 3986 using regexp, attempts to check the public
suffix using `public_suffix`, and serializes the query string using
`active_support` and `addressable`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
